Skip to main content
GET
/
customers
List customers
curl --request GET \
  --url https://{publicHost}/customers \
  --header 'Authorization: Basic <encoded-value>'
{
  "data": [
    {
      "id": "cust_123",
      "platformId": "plat_demo_001",
      "platformCustomerId": "partner_cust_001",
      "customerType": "INDIVIDUAL",
      "fullName": "Demo Customer",
      "ppvAddress": "demo-customer@demo.blips.test",
      "kycStatus": "APPROVED",
      "createdAt": "2026-03-26T09:00:00Z",
      "updatedAt": "2026-03-26T09:00:00Z"
    }
  ],
  "hasMore": false,
  "nextCursor": null,
  "totalCount": 1
}

Authorizations

Authorization
string
header
required

Integration-key Basic Auth (clientId:clientSecret) as documented in docs/public/AUTHENTICATION.md.

Query Parameters

platformCustomerId
string
customerType
enum<string>
Available options:
INDIVIDUAL,
ENTITY
kycStatus
enum<string>
Available options:
PENDING,
APPROVED,
REJECTED
ppvAddress
string
limit
integer
Required range: 1 <= x <= 100
cursor
string

Response

200 - application/json

Customer list returned.

data
object[]
required
hasMore
boolean
required
nextCursor
string | null
required
totalCount
integer
required